getmemoryinfo - Bitcoin
Example code for the getmemoryinfo JSON-RPC method. Complete guide on how to use getmemoryinfo JSON-RPC in GetBlock Web3 documentation.
This method returns information about memory usage, either as a human-readable summary or as raw malloc statistics depending on the mode.
Parameters
mode
string
No
"stats" for a summary or "mallocinfo" for raw XML (default: "stats")
Request
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
"jsonrpc": "2.0",
"method": "getmemoryinfo",
"params": [],
"id": "getblock.io"
}'const axios = require('axios');
const response = await axios.post('https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/', {
jsonrpc: '2.0',
method: 'getmemoryinfo',
params: [],
id: 'getblock.io'
}, {
headers: { 'Content-Type': 'application/json' }
});
console.log(response.data.result);import requests
response = requests.post(
'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/',
headers={'Content-Type': 'application/json'},
json={
'jsonrpc': '2.0',
'method': 'getmemoryinfo',
'params': [],
'id': 'getblock.io'
}
)
print(response.json())Response
{
"jsonrpc": "2.0",
"id": "getblock.io",
"result": {
"locked": {
"used": 98304,
"free": 32768,
"total": 131072,
"locked": 131072,
"chunks_used": 384,
"chunks_free": 8
}
}
}Response Parameters
jsonrpc
string
JSON-RPC protocol version ("2.0")
id
string
Request identifier matching the request
result
object
Memory usage object
locked
used
number
Bytes used in the locked memory pool
free
number
Bytes free in the locked memory pool
total
number
Total bytes in the locked memory pool
locked
number
Bytes locked in RAM (not paged to disk)
Use Cases
Resource Monitoring: Track node memory usage
Capacity Planning: Size infrastructure for a node
Diagnostics: Investigate memory pressure
Operations: Alert on memory limits
Error Handling
403
Forbidden
Missing or invalid ACCESS-TOKEN
-8
Invalid parameter
A parameter is out of range or malformed
-32601
Method not found
The method is not available on this endpoint
-32602
Invalid params
A parameter is missing or has the wrong type
Last updated
Was this helpful?